# Uses of Interface
org.jsoup.Connection.KeyVal

Packages that use Connection.KeyVal
Package
Description
org.jsoup
Contains the main `Jsoup` class, which provides convenient static access to the jsoup functionality.
org.jsoup.helper
Package containing classes supporting the core jsoup code.
org.jsoup.nodes
HTML document structure nodes.

## Uses of Connection.KeyVal in org.jsoup

Methods in org.jsoup that return Connection.KeyVal
Modifier and Type
Method
Description
`Connection.KeyVal`
Connection.KeyVal.`contentType(String contentType)`
Set the Content Type header used in the MIME body (aka mimetype) when uploading files.
`Connection.KeyVal`
Connection.`data(String key)`
Get the data KeyVal for this key, if any
`Connection.KeyVal`
Connection.KeyVal.`inputStream(InputStream inputStream)`
Add or update an input stream to this keyVal
`Connection.KeyVal`
Connection.KeyVal.`key(String key)`
Update the key of a keyval
`Connection.KeyVal`
Connection.KeyVal.`value(String value)`
Update the value of a keyval
Methods in org.jsoup that return types with arguments of type Connection.KeyVal
Modifier and Type
Method
Description
`Collection<Connection.KeyVal>`
Connection.Request.`data()`
Get all of the request's data parameters
Methods in org.jsoup with parameters of type Connection.KeyVal
Modifier and Type
Method
Description
`Connection.Request`
Connection.Request.`data(Connection.KeyVal keyval)`
Add a data parameter to the request
Method parameters in org.jsoup with type arguments of type Connection.KeyVal
Modifier and Type
Method
Description
`Connection`
Connection.`data(Collection<Connection.KeyVal> data)`
Adds all of the supplied data to the request data parameters

## Uses of Connection.KeyVal in org.jsoup.helper

Classes in org.jsoup.helper that implement Connection.KeyVal
Modifier and Type
Class
Description
`static class`
`HttpConnection.KeyVal`
Methods in org.jsoup.helper that return Connection.KeyVal
Modifier and Type
Method
Description
`Connection.KeyVal`
HttpConnection.KeyVal.`contentType(String contentType)`
`Connection.KeyVal`
HttpConnection.`data(String key)`
Methods in org.jsoup.helper that return types with arguments of type Connection.KeyVal
Modifier and Type
Method
Description
`Collection<Connection.KeyVal>`
HttpConnection.Request.`data()`
Methods in org.jsoup.helper with parameters of type Connection.KeyVal
Modifier and Type
Method
Description
`HttpConnection.Request`
HttpConnection.Request.`data(Connection.KeyVal keyval)`
Method parameters in org.jsoup.helper with type arguments of type Connection.KeyVal
Modifier and Type
Method
Description
`Connection`
HttpConnection.`data(Collection<Connection.KeyVal> data)`

## Uses of Connection.KeyVal in org.jsoup.nodes

Methods in org.jsoup.nodes that return types with arguments of type Connection.KeyVal
Modifier and Type
Method
Description
`List<Connection.KeyVal>`
FormElement.`formData()`
Get the data that this form submits.